Bug 1297466 - [QA](6.4.z) SchemaLocationsRewriteTestCase doesn't compile on ibm java 1.6: cannot find method newFactory()
[QA](6.4.z) SchemaLocationsRewriteTestCase doesn't compile on ibm java 1.6: c...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.12
Assigned To: Tomas Hofman
Peter Mackay
eap6412-proposed
:
Depends On:
Blocks: eap6412-payload
  Show dependency treegraph
 
Reported: 2016-01-11 10:23 EST by Peter Mackay
Modified: 2017-01-17 08:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Mackay 2016-01-11 10:23:18 EST
Description of problem:
SchemaLocationsRewriteTestCase doesn't compile on ibm java 1.6.

15:27:57 [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:testCompile (default-testCompile) on project jboss-as-ts-integ-basic: Compilation failure
15:27:57 [ERROR] /qa/hudson_ws/workspace/eap-6x-as-testsuite-IPv6-rhel/c3cde696/testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ws/schemalocations/SchemaLocationsRewriteTestCase.java:[136,48] cannot find symbol
15:27:57 [ERROR] symbol  : method newFactory()
15:27:57 [ERROR] location: class javax.xml.stream.XMLInputFactory

Version-Release number of selected component (if applicable):
ibm java 1.6


How reproducible:
always

Steps to Reproduce:
1. run the SchemaLocationsRewriteTestCase test

Actual results:
Maven compiler plugin fails to compile the test case and the build fails.

Expected results:
The test case compiles and finishes successfully.
Comment 1 Tomas Hofman 2016-01-12 07:15:34 EST
PR: https://github.com/jbossas/jboss-eap/pull/2680
Comment 2 Mike McCune 2016-03-28 19:39:55 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Peter Mackay 2016-11-16 03:17:28 EST
Verified with EAP 6.4.12.CP.CR1
Comment 6 Petr Penicka 2017-01-17 08:15:03 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 7 Petr Penicka 2017-01-17 08:15:06 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.